summaryrefslogtreecommitdiff
path: root/iwd/install-patch-uk-fix.sh
diff options
context:
space:
mode:
authorTasos Latsas <tlatsas@users.sourceforge.net>2009-05-29 22:53:21 +0300
committerNick White <git@njw.me.uk>2009-06-01 01:12:25 +0100
commitf28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5 (patch)
tree795eecfb57caea6956d5502267c981ec48c6f109 /iwd/install-patch-uk-fix.sh
parent832a15af708e40f9d2e727bea3c79051c5301fdc (diff)
downloadgemrb-gameinstallers-f28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5.tar.bz2
gemrb-gameinstallers-f28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5.zip
icewind dale install and patch scripts and changes to main scripts to support them
Diffstat (limited to 'iwd/install-patch-uk-fix.sh')
-rwxr-xr-xiwd/install-patch-uk-fix.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/iwd/install-patch-uk-fix.sh b/iwd/install-patch-uk-fix.sh
new file mode 100755
index 0000000..024adbb
--- /dev/null
+++ b/iwd/install-patch-uk-fix.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale UK version patch - Lower Dorns entrance fix
+#
+# info : released for UK version due to a CD duplication error causing
+# Icewind Dale to crash at Lower Dorn's entrance
+# size : 6.0MB
+# date : 9/27/00
+
+patch_url="http://www.sorcerers.net/Games2/IWD/iwdukpatch.exe"
+patch_name="iwdukpatch.exe"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L -s $TMPDIR/$patch_name -d $TMPDIR || diesoftly
+cp -R $TMPDIR/override/* "$TARGETDIR"/override || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"